<!DOCTYPE HTML>
<html>

<head>
	<title>Page de connexion par identifiant</title>
	<link rel="stylesheet" href="style.css">
	<script language='javascript'>
	
	var cpt = 0;
	var objPeople = [
	{
		username: "Gold",
		password: "Roubeau"
	},

	{
		username: "mkaria",
		password: "marvvmaii"
	},

	{
		username: "DBD",
		password: "Ozmo"
	},

	{
		username: "Slazarevic",
		password: "Serbie"
	},

	{
		username: "admin",
		password: "root"
	}

	]

function getInfo() {
	var username = document.getElementById('username').value
	var password = document.getElementById('password').value
	
	for (var i = 0; i < objPeople.length; i++) {
		if(username == objPeople[i].username && password == objPeople[i].password) {
			alert("Super tu a réussi ! Connexion approuvé !");
			window.location.href = "page2.html";
			return
		}
	}
	cpt ++;
	alert("Oups... Ce n'est pas bon... identification refusée, il ne vous reste que " + (3-cpt) + " tentative(s)");
	
	document.getElementById('username').value="";
	document.getElementById('password').value="";

	if (cpt > 2) {
		alert("Oh bah zut ! Le nombre de tentatives de connexion maximum atteint !");
		window.location.href = "page3.html";
			return
	}
}
	
</script>

</head>

<body>

<center>
	
	<fieldset>
		<legend>Connexion</legend>		
			<label>Identifiant:</label>
			<input id = "username" placeholder = "Veuillez saisir votre identifiant">
			
		<label>Mot de passe:</label>
			<input id = "password" placeholder = "Veuillez saisir votre mot de passe">
			<br/><br/><br/>
		
			<button class="button" onclick="window.location='index.html';">Actualiser</button>
			<button class="button" onclick ="getInfo()">Connexion</button>
	</fieldset>
	
</center>	
		
</body>

</html>